Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1
Class ModifyBedPeriodType

    java.lang.Object
      be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.ModifyBedPeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:56:04+02:00",
               comments="JAXB RI v2.2.11")
    public class ModifyBedPeriodType

extends Object
implements Serializable

Periode waar de periode in een bepaald type woongelegenheid verbleef

Java class for ModifyBedPeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ModifyBedPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BedPeriodVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
             <element name="Action" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ActionType"/>
             <element name="BedPeriodStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Bed" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}BedType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ModifyBedPeriodType()`

Method Summary
`ActionType` | `getAction()` Gets the value of the action property.
`BedType` | `getBed()` Gets the value of the bed property.
`org.joda.time.DateTime` | `getBedPeriodStartTime()` Gets the value of the bedPeriodStartTime property.
`String` | `getBedPeriodVSBReference()` Gets the value of the bedPeriodVSBReference property.
`void` | `setAction(ActionType value)` Sets the value of the action property.
`void` | `setBed(BedType value)` Sets the value of the bed property.
`void` | `setBedPeriodStartTime(org.joda.time.DateTime value)` Sets the value of the bedPeriodStartTime property.
`void` | `setBedPeriodVSBReference(String value)` Sets the value of the bedPeriodVSBReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyBedPeriodType

    public ModifyBedPeriodType()

Method Detail

### getBedPeriodVSBReference

    public String getBedPeriodVSBReference()

  Gets the value of the bedPeriodVSBReference property.

  Returns:
    possible object is `String`

### setBedPeriodVSBReference

    public void setBedPeriodVSBReference(String value)

  Sets the value of the bedPeriodVSBReference property.

  Parameters:
    `value` - allowed object is `String`

### getAction

    public ActionType getAction()

  Gets the value of the action property.

  Returns:
    possible object is `ActionType`

### setAction

    public void setAction(ActionType value)

  Sets the value of the action property.

  Parameters:
    `value` - allowed object is `ActionType`

### getBedPeriodStartTime

    public org.joda.time.DateTime getBedPeriodStartTime()

  Gets the value of the bedPeriodStartTime property.

  Returns:
    possible object is `String`

### setBedPeriodStartTime

    public void setBedPeriodStartTime(org.joda.time.DateTime value)

  Sets the value of the bedPeriodStartTime property.

  Parameters:
    `value` - allowed object is `String`

### getBed

    public BedType getBed()

  Gets the value of the bed property.

  Returns:
    possible object is `BedType`

### setBed

    public void setBed(BedType value)

  Sets the value of the bed property.

  Parameters:
    `value` - allowed object is `BedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.